<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>WinExe</OutputType>
    <TargetFramework>net472</TargetFramework>
    <UseWindowsForms>true</UseWindowsForms>
    <AssemblyName>DomainJoinTool</AssemblyName>
    <RootNamespace>DomainJoinTool</RootNamespace>
    <ApplicationManifest>app.manifest</ApplicationManifest>
    <ApplicationIcon>icon.ico</ApplicationIcon>
    <LangVersion>9.0</LangVersion>
    <PlatformTarget>x64</PlatformTarget>
    <Optimize>true</Optimize>
    <DebugType>none</DebugType>
  </PropertyGroup>

  <ItemGroup>
    <Reference Include="System.Management.Automation" Condition="Exists('$(PSHOME)\System.Management.Automation.dll')">
      <HintPath>$(PSHOME)\System.Management.Automation.dll</HintPath>
    </Reference>
  </ItemGroup>

</Project>
